Package com.orbbec.obsensor

## Class DevicePropertyInfo

- java.lang.Object
- - com.orbbec.obsensor.DevicePropertyInfo

    public class DevicePropertyInfo
    extends java.lang.Object

Characteristics used to describe each property

### Constructor Summary

Constructors
`DevicePropertyInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PermissionType` `getPermissionType()` Get the permission type of the property
`DeviceProperty` `getProperty()` get property
`java.lang.String` `getPropertyName()` get property name
`PropertyType` `getPropertyType()` get property type

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DevicePropertyInfo

    public DevicePropertyInfo()

### Method Detail

#### getProperty

    public DeviceProperty getProperty()

get property

Returns:
  return property

#### getPropertyName

    public java.lang.String getPropertyName()

get property name

Returns:
  return property name

#### getPropertyType

    public PropertyType getPropertyType()

get property type

Returns:
  returns property type

#### getPermissionType

    public PermissionType getPermissionType()

Get the permission type of the property

Returns:
  Returns the attribute's permission type